IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[a_sel_consultarMenusMvc]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[a_sel_consultarMenusMvc]
GO
CREATE PROCEDURE [dbo].[a_sel_consultarMenusMvc]	
@id_usuario as int
as
BEGIN


declare @perfil as int
select @perfil=id_perfil from seg_usuario where active=1 and id=@id_usuario

select distinct
funcionalidad.id 
,funcionalidad.funcionalidad 
,funcionalidad.urlImagen
,funcionalidad.[url]
,funcionalidad.urlFormulario 
,funcionalidad.esMenu 
,funcionalidad.id_funcionalidad 
,funcionalidad.nombreComando 
,funcionalidad.nombreControl
,funcionalidad.orden
from
gui_funcionalidad funcionalidad 
,seg_perfil_funcionalidad permisos 
where funcionalidad.esMvc=1 and funcionalidad.active=1 
and (@perfil=1
	or ( funcionalidad.id= permisos.id_funcionalidad and permisos.active=1
		and permisos.id_perfil =@perfil  )
     or nombreControl in('mn_acerca','mn_salir','mn_cambiarClave'))

END
GO
